package com.yaoyicloud.render.test;

import static org.junit.Assert.assertTrue;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.junit.Test;

import com.yaoyicloud.message.FxyProtos.ServiceProviderInfo;
import com.yaoyicloud.render.ServiceProviderInfoRender;

public class TestServiceProviderInfoRender {

    @Test
    public void testRenderDocx() throws IOException {

        byte[] content = Files.readAllBytes(
            Paths.get(getClass().getClassLoader().getResource("docx/service_provider_info.docx").getFile()));
        // String s = Paths.get("").toAbsolutePath().toString();
        ServiceProviderInfoRender render = new ServiceProviderInfoRender("../temp/");
        String retPath = render.renderDocx(
            ServiceProviderInfo.newBuilder().setName("宇宙公司").setType("服务商").build(),
            content);

        assertTrue(retPath.length() > 0);
    }

}
